<?xml version="1.0" encoding="UTF-8"?>
<!-- Generated by Fujitsu Interstage XWand B0250 -->






<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd http://www.w3.org/1999/xlink http://www.xbrl.org/2003/xlink-2003-12-31.xsd" xmlns:Jeronimomartins="https://www.jeronimomartins.com" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncomeCost" xlink:label="FinanceIncomeCost" xlink:title="FinanceIncomeCost"/>
    <link:label xlink:type="resource" xlink:label="label_FinanceIncomeCost" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:title="label_FinanceIncomeCost" xml:lang="en" id="label_FinanceIncomeCost">Finance cost (income)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinanceIncomeCost" xlink:to="label_FinanceIncomeCost" xlink:title="label: FinanceIncomeCost to label_FinanceIncomeCost"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_LeasesInterestPaid" xlink:label="loc_Leasesinterestpaid"/>
    <link:label xlink:type="resource" xlink:label="lab_Leasesinterestpaid" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Leases interest paid</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Leasesinterestpaid" xlink:to="lab_Leasesinterestpaid"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_LeasesInterestPaid" xlink:label="esef_all_Leasesinterestpaid_3"/>
    <link:label xlink:type="resource" xlink:label="esef_all_Leasesinterestpaid_4" xlink:role="http://www.xbrl.org/2003/role/documentation" xml:lang="en">The cash outflow for leases interest paid, classified as financing activities.</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="esef_all_Leasesinterestpaid_3" xlink:to="esef_all_Leasesinterestpaid_4"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_LoansInterestPaid" xlink:label="loc_Loansinterestpaid"/>
    <link:label xlink:type="resource" xlink:label="lab_Loansinterestpaid" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Loans interest paid</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Loansinterestpaid" xlink:to="lab_Loansinterestpaid"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_LoansInterestPaid" xlink:label="esef_all_Loansinterestpaid_3"/>
    <link:label xlink:type="resource" xlink:label="esef_all_Loansinterestpaid_4" xlink:role="http://www.xbrl.org/2003/role/documentation" xml:lang="en">The cash outflow for loans interest paid, classified as financing activities.</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="esef_all_Loansinterestpaid_3" xlink:to="esef_all_Loansinterestpaid_4"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_NetChangeInLoans" xlink:label="loc_Netchangeinloans"/>
    <link:label xlink:type="resource" xlink:label="lab_Netchangeinloans" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en">Net change in loans</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_Netchangeinloans" xlink:to="lab_Netchangeinloans"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_NetChangeInLoans" xlink:label="esef_all_Netchangeinloans_3"/>
    <link:label xlink:type="resource" xlink:label="esef_all_Netchangeinloans_4" xlink:role="http://www.xbrl.org/2003/role/documentation" xml:lang="en">The net cash of borrowings, classified as financing activities. [Refer: Borrowings]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="esef_all_Netchangeinloans_3" xlink:to="esef_all_Netchangeinloans_4"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent" xlink:label="TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent" xlink:title="TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent"/>
    <link:label xlink:type="resource" xlink:label="label_TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent_2" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent" xml:lang="en" id="label_TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent_2">Trade debtors, accrued income and deferred costs non current</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent" xlink:to="label_TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent_2" xlink:title="label: TradeDebtorsAccruedIncomeAndDeferredCosts to label_TradeDebtorsAccruedIncomeAndDeferredCosts"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" xlink:label="TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" xlink:title="TradeDebtorsAccruedIncomeAndDeferredCostsCurrent"/>
    <link:label xlink:type="resource" xlink:label="label_TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" xml:lang="en" id="label_TradeDebtorsAccruedIncomeAndDeferredCostsCurrent">Trade debtors, accrued income and deferred costs current</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" xlink:to="label_TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" xlink:title="label: TradeDebtorsAccruedIncomeAndDeferredCostsCurrent to label_TradeDebtorsAccruedIncomeAndDeferredCostsCurrent"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" xlink:label="TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" xlink:title="TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent"/>
    <link:label xlink:type="resource" xlink:label="label_TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" xml:lang="en" id="label_TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent">Trade creditors, accrued costs and deferred income non current</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" xlink:to="label_TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" xlink:title="label: TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent to label_TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" xlink:label="TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" xlink:title="TradeCreditorsAccruedCostsAndDeferredIncomeCurrent"/>
    <link:label xlink:type="resource" xlink:label="label_TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" xml:lang="en" id="label_TradeCreditorsAccruedCostsAndDeferredIncomeCurrent">Trade creditors, accrued costs and deferred income current</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" xlink:to="label_TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" xlink:title="label: TradeCreditorsAccruedCostsAndDeferredIncomeCurrent to label_TradeCreditorsAccruedCostsAndDeferredIncomeCurrent"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_AdjustmentsForProvisionsAndEmployeeBenefits" xlink:label="ProvisionsAndEmployeeBenefits" xlink:title="ProvisionsAndEmployeeBenefits"/>
    <link:label xlink:type="resource" xlink:label="label_ProvisionsAndEmployeeBenefits" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProvisionsAndEmployeeBenefits" xml:lang="en" id="label_ProvisionsAndEmployeeBenefits">Adjustments for provisions and employee benefits</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionsAndEmployeeBenefits" xlink:to="label_ProvisionsAndEmployeeBenefits" xlink:title="label: ProvisionsAndEmployeeBenefits to label_ProvisionsAndEmployeeBenefits"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xml:lang="en" id="label_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities">Proceeds from sales of property, plant and equipment and intangible assets, classified as investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:to="label_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="label: ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities to label_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xml:lang="en" id="label_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities">Purchase of property, plant and equipment and intangible assets, classified as investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:to="label_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="label: PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities to label_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates" xlink:label="PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates" xlink:title="PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates"/>
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates" xml:lang="en" id="label_PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates">Purchase of interests in subsidiaries (net of cash acquired) and associates</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates" xlink:to="label_PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates" xlink:title="label: PurchaseOfBusinessessNetOfCashAcquired to label_PurchaseOfBusinessessNetOfCashAcquired"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_BasicAndDilutedEarningsLossPerShare" xlink:label="BasicAndDilutedEarningsLossPerShare" xlink:title="BasicAndDilutedEarningsLossPerShare"/>
    <link:label xlink:type="resource" xlink:label="label_BasicAndDilutedEarningsLossPerShare" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_BasicAndDilutedEarningsLossPerShare" xml:lang="en" id="label_BasicAndDilutedEarningsLossPerShare">Basic and Diluted Earnings (Loss) Per Share</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BasicAndDilutedEarningsLossPerShare" xlink:to="label_BasicAndDilutedEarningsLossPerShare" xlink:title="label: BasicAndDilutedEarningsLossPerShare to label_BasicAndDilutedEarningsLossPerShare"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_GainsLossesInOtherInvestments" xlink:label="GainsLossesInOtherInvestments" xlink:title="GainsLossesInOtherInvestments"/>
    <link:label xlink:type="resource" xlink:label="label_GainsLossesInOtherInvestments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_GainsLossesInOtherInvestments" xml:lang="en" id="label_GainsLossesInOtherInvestments">Gains (Losses) in other investments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainsLossesInOtherInvestments" xlink:to="label_GainsLossesInOtherInvestments" xlink:title="label: GainsLossesInOtherInvestments to label_GainsLossesInOtherInvestments"/>
  </link:labelLink>
</link:linkbase>
